ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Public Member Functions | List of all members
EtsiTs103097Codec_ToBeSignedData Class Reference

`#include <EtsiTs103097Codec_ToBeSignedData.hh>`

Inheritance diagram for EtsiTs103097Codec_ToBeSignedData:

## Public Member Functions
| EtsiTs103097Codec_ToBeSignedData ()
virtual | ~EtsiTs103097Codec_ToBeSignedData ()
virtual int | encode (const IEEE1609dot2::ToBeSignedData &p_cert, OCTETSTRING &p_data)
| Encode typed message into an octet string. More...
virtual int | decode (const OCTETSTRING &p_data, IEEE1609dot2::ToBeSignedData &p_cert, Params *p_params=NULL)
| Encode typed message into an octet string format. More...
Public Member Functions inherited from Codec< IEEE1609dot2::ToBeSignedData, IEEE1609dot2::ToBeSignedData >
| Codec ()
| Reference to Params stack. More...
virtual | ~Codec ()
| Default destructor . More...

## Additional Inherited Members
Protected Attributes inherited from Codec< IEEE1609dot2::ToBeSignedData, IEEE1609dot2::ToBeSignedData >
Params * | _params

## Constructor & Destructor Documentation

## ◆ EtsiTs103097Codec_ToBeSignedData()

EtsiTs103097Codec_ToBeSignedData::EtsiTs103097Codec_ToBeSignedData | ( |  | ) |
| inline explicit

## ◆ ~EtsiTs103097Codec_ToBeSignedData()

virtual EtsiTs103097Codec_ToBeSignedData::~EtsiTs103097Codec_ToBeSignedData | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ decode()

int EtsiTs103097Codec_ToBeSignedData::decode | ( | const OCTETSTRING & | p_,
|  | IEEE1609dot2::ToBeSignedData & | p_message,
|  | Params * | p_params = `NULL`
| ) |  |
| virtual

Encode typed message into an octet string format.

Parameters

  [in] | p_data | The message in its octet string
  [out] | p_message | The decoded typed message

Returns
  0 on success, -1 otherwise

Implements Codec< IEEE1609dot2::ToBeSignedData, IEEE1609dot2::ToBeSignedData >.

## ◆ encode()

int EtsiTs103097Codec_ToBeSignedData::encode | ( | const IEEE1609dot2::ToBeSignedData & | msg,
|  | OCTETSTRING & | data
| ) |  |
| virtual

Encode typed message into an octet string.

Parameters

  [in] | p_message | The typed message to be encoded
  [out] | p_data | The encoding result

Returns
  0 on success, -1 otherwise

Implements Codec< IEEE1609dot2::ToBeSignedData, IEEE1609dot2::ToBeSignedData >.

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/EtsiTs103097Codec_ToBeSignedData.hh
- /home/vagrant/TriesAndDelete/etsi_its/framework/src/EtsiTs103097Codec_ToBeSignedData.cc